#!/bin/bash -e
# Build script for 'iproute2' package
# Copyright (C) 2021, 2022 Sergey Gaberer <linuxoid85@gmail.com>

NAME="iproute2"
VERSION="5.18.0"

cd /usr/src/"$NAME-$VERSION"

# The arpd program included in this package will not be built
sed -i /ARPD/d Makefile
rm -fv man/man8/arpd.8

make NETNS_RUN_DIR=/run/netns
make SBINDIR=/sbin install

# Install the documentation
mkdir -pv             /usr/share/doc/iproute2-$VERSION
cp -v COPYING README* /usr/share/doc/iproute2-$VERSION